local modDir = g_currentModDirectory

loadBales = {}

function loadBales.loadMission00Finished(mission)
    local xmlFilename = Utils.getFilename('xml/bales.xml', modDir)
    local xmlFile = XMLFile.load("mod_bales", xmlFilename, BaleManager.mapBalesXMLSchema)

    if xmlFile ~= nil then
        g_baleManager:loadBales(xmlFile, modDir)
        xmlFile:delete()
    end
end

Mission00.loadMission00Finished = Utils.appendedFunction(Mission00.loadMission00Finished, loadBales.loadMission00Finished)